<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>polylib: matrix.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>File&nbsp;Members</span></a></li>
    </ul>
  </div>
<h1>matrix.h</h1><a href="matrix_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">    This file is part of PolyLib.</span>
<a name="l00003"></a>00003 <span class="comment"></span>
<a name="l00004"></a>00004 <span class="comment">    PolyLib is free software: you can redistribute it and/or modify</span>
<a name="l00005"></a>00005 <span class="comment">    it under the terms of the GNU General Public License as published by</span>
<a name="l00006"></a>00006 <span class="comment">    the Free Software Foundation, either version 3 of the License, or</span>
<a name="l00007"></a>00007 <span class="comment">    (at your option) any later version.</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">    PolyLib is distributed in the hope that it will be useful,</span>
<a name="l00010"></a>00010 <span class="comment">    but WITHOUT ANY WARRANTY; without even the implied warranty of</span>
<a name="l00011"></a>00011 <span class="comment">    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the</span>
<a name="l00012"></a>00012 <span class="comment">    GNU General Public License for more details.</span>
<a name="l00013"></a>00013 <span class="comment"></span>
<a name="l00014"></a>00014 <span class="comment">    You should have received a copy of the GNU General Public License</span>
<a name="l00015"></a>00015 <span class="comment">    along with PolyLib.  If not, see &lt;http://www.gnu.org/licenses/&gt;.</span>
<a name="l00016"></a>00016 <span class="comment">*/</span>
<a name="l00017"></a>00017 
<a name="l00018"></a>00018 <span class="preprocessor">#ifndef _matrix_H_</span>
<a name="l00019"></a>00019 <span class="preprocessor"></span><span class="preprocessor">#define _matrix_H_</span>
<a name="l00020"></a>00020 <span class="preprocessor"></span>
<a name="l00021"></a>00021 <span class="preprocessor">#if defined(__cplusplus)</span>
<a name="l00022"></a>00022 <span class="preprocessor"></span><span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span> {
<a name="l00023"></a>00023 <span class="preprocessor">#endif</span>
<a name="l00024"></a>00024 <span class="preprocessor"></span>
<a name="l00025"></a>00025 <span class="keyword">extern</span> <a class="code" href="structmatrix.html">Matrix</a> *<a class="code" href="matrix_8c.html#ac0b29e1d99a2823ad00b5f2157879d80">Matrix_Alloc</a>(<span class="keywordtype">unsigned</span> NbRows, <span class="keywordtype">unsigned</span> NbColumns);
<a name="l00026"></a>00026 <span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="matrix_8c.html#afcb312b7c12a6997cd66964ecc34e1a6">Matrix_Free</a>(<a class="code" href="structmatrix.html">Matrix</a> *Mat);
<a name="l00027"></a>00027 <span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="matrix_8c.html#a22b92aad923f05a327d06d761f0396e0">Matrix_Extend</a>(<a class="code" href="structmatrix.html">Matrix</a> *Mat, <span class="keywordtype">unsigned</span> NbRows);
<a name="l00028"></a>00028 <span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="matrix_8c.html#ad4c3c350dba633f72bbcf3609b6b67d7">Matrix_Print</a>(FILE * Dst, <span class="keyword">const</span> <span class="keywordtype">char</span> *Format, <a class="code" href="structmatrix.html">Matrix</a> *Mat);
<a name="l00029"></a>00029 <span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="matrix_8c.html#a40c219a9893d0f0ea7f9448ad27fcc3d">Matrix_Read_Input</a>(<a class="code" href="structmatrix.html">Matrix</a> *Mat);
<a name="l00030"></a>00030 <span class="keyword">extern</span> <a class="code" href="structmatrix.html">Matrix</a> *<a class="code" href="matrix_8c.html#a3a087ae9a03d5baf0b81831177931143">Matrix_Read</a>(<span class="keywordtype">void</span>);
<a name="l00031"></a>00031 <span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="matrix_8c.html#a9d112ac078583626580f848b51a515f3">right_hermite</a>(<a class="code" href="structmatrix.html">Matrix</a> *A,<a class="code" href="structmatrix.html">Matrix</a> **Hp,<a class="code" href="structmatrix.html">Matrix</a> **Up,<a class="code" href="structmatrix.html">Matrix</a>
<a name="l00032"></a>00032                           **Qp);
<a name="l00033"></a>00033 <span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="matrix_8c.html#adcbe5ee3f0c28fb35aed49f4e1f40f5b">left_hermite</a>(<a class="code" href="structmatrix.html">Matrix</a> *A,<a class="code" href="structmatrix.html">Matrix</a> **Hp,<a class="code" href="structmatrix.html">Matrix</a> **Qp,<a class="code" href="structmatrix.html">Matrix</a>
<a name="l00034"></a>00034                          **Up);
<a name="l00035"></a>00035 <span class="keyword">extern</span> <span class="keywordtype">int</span> <a class="code" href="matrix_8c.html#ae2b2f031eb75c5011091536d7ef4befc">MatInverse</a>(<a class="code" href="structmatrix.html">Matrix</a> *M,<a class="code" href="structmatrix.html">Matrix</a> *MInv);
<a name="l00036"></a>00036 <span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="matrix_8c.html#adb8526f2ba863572c60b255c8b27c186">rat_prodmat</a>(<a class="code" href="structmatrix.html">Matrix</a> *S,<a class="code" href="structmatrix.html">Matrix</a> *X,<a class="code" href="structmatrix.html">Matrix</a> *P);
<a name="l00037"></a>00037 <span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="matrix_8c.html#a4623e4f52b5c7b43d38dfb14015781ce">Matrix_Vector_Product</a>(<a class="code" href="structmatrix.html">Matrix</a> *mat,Value *p1,Value *p2);
<a name="l00038"></a>00038 <span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="matrix_8c.html#a15129f9f57a6a92234f4226cb71bcb39">Vector_Matrix_Product</a>(Value *p1,<a class="code" href="structmatrix.html">Matrix</a> *mat,Value *p2);
<a name="l00039"></a>00039 <span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="matrix_8c.html#a1e967c74adaa2eec868fd737a55b6624">Matrix_Product</a>(<a class="code" href="structmatrix.html">Matrix</a> *mat1,<a class="code" href="structmatrix.html">Matrix</a> *mat2,<a class="code" href="structmatrix.html">Matrix</a> *mat3);
<a name="l00040"></a>00040 <span class="keyword">extern</span> <span class="keywordtype">int</span> <a class="code" href="matrix_8c.html#a97aa755c011357ce2146d71ddb88ded6">Matrix_Inverse</a>(<a class="code" href="structmatrix.html">Matrix</a> *Mat,<a class="code" href="structmatrix.html">Matrix</a> *MatInv);
<a name="l00041"></a>00041 
<a name="l00042"></a>00042 <span class="preprocessor">#if defined(__cplusplus)</span>
<a name="l00043"></a>00043 <span class="preprocessor"></span>}
<a name="l00044"></a>00044 <span class="preprocessor">#endif</span>
<a name="l00045"></a>00045 <span class="preprocessor"></span>
<a name="l00046"></a>00046 <span class="preprocessor">#endif </span><span class="comment">/* _matrix_H_ */</span>
</pre></div></div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Wed Nov 25 17:45:26 2009 for polylib by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
